Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIProgressBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractProgressBar
                  org.richfaces.component.UIProgressBar

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIProgressBar

extends AbstractProgressBar
implements javax.faces.component.behavior.ClientBehaviorHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

The <rich:progressBar> component displays a progress bar to indicate the status of a process to the user. It can update either through Ajax or on the client side, and the look and feel can be fully customized.

Author:
  "Andrey Markavtsov"

Nested Class Summary
`protected static class` | `UIProgressBar.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractProgressBar
`STATE_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UIProgressBar()`

Method Summary
`Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getFinishClass()` Space-separated list of CSS style class(es) to be applied when before progress finishes.
`String` | `getInitialClass()` Space-separated list of CSS style class(es) to be applied when before progress starts.
`int` | `getInterval()` Interval (in ms) for call poll requests.
`String` | `getLabel()` Defines a simple label instead of rendering children component
`Object` | `getMaxValue()` Max value, after which complete state should be rendered.
`Object` | `getMinValue()` Min value when initial state should be rendered.
`org.richfaces.component.SwitchType` | `getMode()` The mode for updating the progress bar, can be one of:
`String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
`String` | `getOnbegin()` The client-side script method to be called before an ajax request.
`String` | `getOnclick()`
`String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
`String` | `getOndblclick()`
`String` | `getOnfinish()` The client-side script method to be called when progress is finished
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getProgressClass()` Space-separated list of CSS style class(es) to be applied to the progress bar element.
`String` | `getRemainingClass()` Space-separated list of CSS style class(es) to be applied to the remaining part of the progress bar.
`String` | `getResource()`
`String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
`String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`Object` | `getValue()` Sets the current value of the progress
`boolean` | `isEnabled()` Enables/disables polling.
`void` | `setData(Object data)`
`void` | `setEnabled(boolean enabled)`
`void` | `setFinishClass(String finishClass)`
`void` | `setInitialClass(String initialClass)`
`void` | `setInterval(int interval)`
`void` | `setLabel(String label)`
`void` | `setMaxValue(Object maxValue)`
`void` | `setMinValue(Object minValue)`
`void` | `setMode(org.richfaces.component.SwitchType mode)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOnclick(String onclick)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnfinish(String onfinish)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setProgressClass(String progressClass)`
`void` | `setRemainingClass(String remainingClass)`
`void` | `setResource(String resource)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setValue(Object value)`

Methods inherited from class org.richfaces.component.AbstractProgressBar
`encodeMetaComponent, resolveClientId, substituteUnresolvedClientId, visitTree`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface org.richfaces.component.MetaComponentEncoder
`encodeMetaComponent`

Methods inherited from interface org.richfaces.component.MetaComponentResolver
`resolveClientId, substituteUnresolvedClientId`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIProgressBar

    public UIProgressBar()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getData

    public Object getData()

  Description copied from class: `AbstractProgressBar`
  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax

  Specified by:
    `getData` in class `AbstractProgressBar`

### setData

    public void setData(Object data)

  Specified by:
    `setData` in class `AbstractProgressBar`

### isEnabled

    public boolean isEnabled()

  Description copied from class: `AbstractProgressBar`

  Enables/disables polling.

  Default value is "true".

  Specified by:
    `isEnabled` in class `AbstractProgressBar`

### setEnabled

    public void setEnabled(boolean enabled)

### getFinishClass

    public String getFinishClass()

  Description copied from class: `AbstractProgressBar`
  Space-separated list of CSS style class(es) to be applied when before progress finishes. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getFinishClass` in class `AbstractProgressBar`

### setFinishClass

    public void setFinishClass(String finishClass)

### getInitialClass

    public String getInitialClass()

  Description copied from class: `AbstractProgressBar`
  Space-separated list of CSS style class(es) to be applied when before progress starts. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getInitialClass` in class `AbstractProgressBar`

### setInitialClass

    public void setInitialClass(String initialClass)

### getInterval

    public int getInterval()

  Description copied from class: `AbstractProgressBar`

  Interval (in ms) for call poll requests.

  Default value 1000 ms (1 sec)

  Specified by:
    `getInterval` in class `AbstractProgressBar`

### setInterval

    public void setInterval(int interval)

### getLabel

    public String getLabel()

  Description copied from class: `AbstractProgressBar`
  Defines a simple label instead of rendering children component

  Specified by:
    `getLabel` in class `AbstractProgressBar`

### setLabel

    public void setLabel(String label)

### getMaxValue

    public Object getMaxValue()

  Description copied from class: `AbstractProgressBar`

  Max value, after which complete state should be rendered.

  Default value is "100".

  Specified by:
    `getMaxValue` in class `AbstractProgressBar`

### setMaxValue

    public void setMaxValue(Object maxValue)

### getMinValue

    public Object getMinValue()

  Description copied from class: `AbstractProgressBar`

  Min value when initial state should be rendered.

  Default value is "0".

  Specified by:
    `getMinValue` in class `AbstractProgressBar`

### setMinValue

    public void setMinValue(Object minValue)

### getMode

    public org.richfaces.component.SwitchType getMode()

  Description copied from class: `AbstractProgressBar`

  The mode for updating the progress bar, can be one of:

  ajax
    The progress bar updates in the same way as the <a4j:poll> component. The <rich:progressBar> component repeatedly polls the server for the current progress value.
  client
    The progress bar must be explicitly updated on the client side through the JavaScript API.

  Default is "ajax"

  Specified by:
    `getMode` in class `AbstractProgressBar`

### setMode

    public void setMode(org.richfaces.component.SwitchType mode)

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

  Description copied from class: `AbstractProgressBar`
  The client-side script method to be called after the ajax response comes back, but before the DOM is updated

  Specified by:
    `getOnbeforedomupdate` in class `AbstractProgressBar`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbegin

    public String getOnbegin()

  Description copied from class: `AbstractProgressBar`
  The client-side script method to be called before an ajax request.

  Specified by:
    `getOnbegin` in class `AbstractProgressBar`

### setOnbegin

    public void setOnbegin(String onbegin)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractProgressBar`

### setOnclick

    public void setOnclick(String onclick)

### getOncomplete

    public String getOncomplete()

  Description copied from class: `AbstractProgressBar`
  The client-side script method to be called after the DOM is updated

  Specified by:
    `getOncomplete` in class `AbstractProgressBar`

### setOncomplete

    public void setOncomplete(String oncomplete)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractProgressBar`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnfinish

    public String getOnfinish()

  Description copied from class: `AbstractProgressBar`
  The client-side script method to be called when progress is finished

  Specified by:
    `getOnfinish` in class `AbstractProgressBar`

### setOnfinish

    public void setOnfinish(String onfinish)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractProgressBar`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractProgressBar`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractProgressBar`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractProgressBar`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractProgressBar`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getProgressClass

    public String getProgressClass()

  Description copied from class: `AbstractProgressBar`
  Space-separated list of CSS style class(es) to be applied to the progress bar element. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getProgressClass` in class `AbstractProgressBar`

### setProgressClass

    public void setProgressClass(String progressClass)

### getRemainingClass

    public String getRemainingClass()

  Description copied from class: `AbstractProgressBar`
  Space-separated list of CSS style class(es) to be applied to the remaining part of the progress bar. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getRemainingClass` in class `AbstractProgressBar`

### setRemainingClass

    public void setRemainingClass(String remainingClass)

### getResource

    public String getResource()

  Specified by:
    `getResource` in class `AbstractProgressBar`

### setResource

    public void setResource(String resource)

### getStyle

    public String getStyle()

  Description copied from class: `AbstractProgressBar`
  CSS style(s) to be applied when this component is rendered.

  Specified by:
    `getStyle` in class `AbstractProgressBar`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Description copied from class: `AbstractProgressBar`
  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

  Specified by:
    `getStyleClass` in class `AbstractProgressBar`

### setStyleClass

    public void setStyleClass(String styleClass)

### getValue

    public Object getValue()

  Description copied from class: `AbstractProgressBar`
  Sets the current value of the progress

  Specified by:
    `getValue` in class `AbstractProgressBar`

### setValue

    public void setValue(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.